<?php

declare(strict_types=1);

namespace Z14\Z14ComvahroBewerber3\ViewHelpers;

use TYPO3Fluid\Fluid\Core\ViewHelper\AbstractViewHelper;
use TYPO3\CMS\Core\Utility\GeneralUtility;
use TYPO3\CMS\Frontend\Service\TypoLinkCodecService;

/**
 * Split file reference into file parts.
 */
class GetArgumentsArrayViewHelper extends AbstractViewHelper
{

    /**
     * Initialize all arguments
     */
    public function initializeArguments()
    {
        $this->registerArgument(
            'input',
            'array',
            'array to process',
            true
        );
    }

	public function render()
    {

        $inputArray = $this->arguments['input'];

        $outputArray = [];

        foreach ($inputArray as $value) {
            $outputArray[$value['key']] = $value['value'];
        }

        return $outputArray;
    }
}